/* basics */
:root{
  --red:#c00;
  --green:#060;
  --blue:#009;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --grey:#ccc;
  --white:#fff;
  --hint:#284;
  --btn:#030;
  --box:#151;
  --cover:#63775b;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:24px;font-weight:400;color:var(--white);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:#020;background-blend-mode:luminosity;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);margin-bottom:1em;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--cover);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;border:0;position:absolute;top:0;display:inline-block;transform:perspective(4000px) rotateY(-25deg) translateX(-15px) scale(0.9);}
.wrapperfx{box-shadow:5px 0 10px 0 rgba(0,0,0,0.4);border-radius:24px;position:relative;z-index:1;background:inherit;overflow:hidden;padding:0.5em 1.5em 1.5em 1.5em;}
.wrapperfx:before{content:"";position:absolute;background:inherit;z-index:-1;top:0;left:0;right:0;bottom:0;box-shadow:inset 0 0 2000px rgba(255,255,255,0.4);filter:blur(20px);margin:-20px;background-blend-mode:luminosity;}
#boxes{padding:4px;border-radius:24px;margin-bottom:0.5em;background-color:rgba(0,0,0,0.15);}
.box{width:42px;height:32px;color:var(--white);margin:1px;float:left;cursor:pointer;text-align:center;padding-top:10px;transition:all 0.3s ease-in-out;border-radius:50%;border:1px solid rgba(255,255,255,0.3);}
.button{width:8em;float:left;font-size:0.8em;text-transform:uppercase;margin:6px 0 2px 0;padding:6px 8px 8px 8px;text-align:center;cursor:pointer;transition:all 0.3s ease-in-out;border-radius:24px;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--btn);border-color:var(--btn);color:var(--white);}
.btnnew:hover{background-color:var(--black);}
.btnhnt{float:right;background-color:var(--btn);border-color:var(--btn);color:var(--white);}
.btnhnt:hover{background-color:var(--black);}
#info{width:11em;height:1.5em;padding:0 0.5em;font-weight:bold;text-shadow:0 0 8px var(--black);margin-top:0.75em;float:left;}
#plr{width:1em;height:1em;border:4px solid var(--btn);border-radius:2em;float:left;margin:0 0.55em;transition:all 0.3s ease-in-out;}
#res-black{width:37.5%;color:var(--black);float:left;text-align:right;}
#res-white{width:37.5%;color:var(--white);float:left;text-align:left;}
.white{background-color:var(--white);color:var(--black);}
.black{background-color:var(--black);color:var(--white);}
.hint{background-color:var(--hint);}
.ovr{background-color:var(--red);}